iSkeletonBone Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iSkeletonBone Struct Reference

The skeleton bone class. More...

`#include <imesh/skeleton.h>`

Inheritance diagram for iSkeletonBone:

List of all members.

## Public Member Functions
virtual iSkeletonBone * | FindChild (const char *name)=0
| Find child bone by name.
virtual size_t | FindChildIndex (iSkeletonBone *child)=0
| Find child bone index.
virtual iSkeletonBone * | GetChild (size_t i)=0
| Set child bone by index.
virtual size_t | GetChildrenCount ()=0
| Get number of children bones.
virtual iSkeletonBoneFactory * | GetFactory ()=0
| Get skeleton factory.
virtual csReversibleTransform & | GetFullTransform ()=0
| Get full transform of the bone.
virtual const char * | GetName () const =0
| Get name of the bone.
virtual iSkeletonBone * | GetParent ()=0
| Get parent bone.
virtual csBox3 & | GetSkinBox ()=0
| Get skin bbox.
virtual csReversibleTransform & | GetTransform ()=0
| Get transform of the bone.
virtual csBoneTransformType | GetTransformMode ()=0
| Get bone transform mode.
virtual iSkeletonBoneUpdateCallback * | GetUpdateCallback ()=0
| Get update callback.
virtual void | SetName (const char *name)=0
| Set name of the bone.
virtual void | SetParent (iSkeletonBone *parent)=0
| Set parent bone.
virtual void | SetSkinBox (csBox3 &box)=0
| Set skin bbox (usefull for creating collider or ragdoll object).
virtual void | SetTransform (const csReversibleTransform &transform)=0
| Set transform of the bone in parent's coordsys.
virtual void | SetTransformMode (csBoneTransformType mode)=0
| Set bone transform mode.
virtual void | SetUpdateCallback (iSkeletonBoneUpdateCallback *callback)=0
| Set callback to the bone.

## Detailed Description

The skeleton bone class.

Definition at line 62 of file skeleton.h.

## Member Function Documentation

virtual iSkeletonBone* iSkeletonBone::FindChild | ( | const char * | name | ) | `[pure virtual]`

Find child bone by name.

virtual size_t iSkeletonBone::FindChildIndex | ( | iSkeletonBone * | child | ) | `[pure virtual]`

Find child bone index.

virtual iSkeletonBone* iSkeletonBone::GetChild | ( | size_t | i | ) | `[pure virtual]`

Set child bone by index.

virtual size_t iSkeletonBone::GetChildrenCount | ( |  | ) | `[pure virtual]`

Get number of children bones.

virtual iSkeletonBoneFactory* iSkeletonBone::GetFactory | ( |  | ) | `[pure virtual]`

Get skeleton factory.

virtual csReversibleTransform& iSkeletonBone::GetFullTransform | ( |  | ) | `[pure virtual]`

Get full transform of the bone.

virtual const char* iSkeletonBone::GetName | ( |  | ) | const`[pure virtual]`

Get name of the bone.

virtual iSkeletonBone* iSkeletonBone::GetParent | ( |  | ) | `[pure virtual]`

Get parent bone.

virtual csBox3& iSkeletonBone::GetSkinBox | ( |  | ) | `[pure virtual]`

Get skin bbox.

virtual csReversibleTransform& iSkeletonBone::GetTransform | ( |  | ) | `[pure virtual]`

Get transform of the bone.

virtual csBoneTransformType iSkeletonBone::GetTransformMode | ( |  | ) | `[pure virtual]`

Get bone transform mode.

virtual iSkeletonBoneUpdateCallback* iSkeletonBone::GetUpdateCallback | ( |  | ) | `[pure virtual]`

Get update callback.

virtual void iSkeletonBone::SetName | ( | const char * | name | ) | `[pure virtual]`

Set name of the bone.

virtual void iSkeletonBone::SetParent | ( | iSkeletonBone * | parent | ) | `[pure virtual]`

Set parent bone.

virtual void iSkeletonBone::SetSkinBox | ( | csBox3 & | box | ) | `[pure virtual]`

Set skin bbox (usefull for creating collider or ragdoll object).

virtual void iSkeletonBone::SetTransform | ( | const csReversibleTransform & | transform | ) | `[pure virtual]`

Set transform of the bone in parent's coordsys.

virtual void iSkeletonBone::SetTransformMode | ( | csBoneTransformType | mode | ) | `[pure virtual]`

Set bone transform mode.

Possible values are:

- #CS_BTT_NONE: Same as CS_BTT_SCRIPT.
- #CS_BTT_SCRIPT: Normal default behaviour. Animations control the bone.
- #CS_BTT_RIGID_BODY: Unimplemented rigid body ragdoll.

virtual void iSkeletonBone::SetUpdateCallback | ( | iSkeletonBoneUpdateCallback * | callback | ) | `[pure virtual]`

Set callback to the bone.

By default there is callback that sets bone transform when updating.

The documentation for this struct was generated from the following file:

- imesh/skeleton.h